Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 587755 - Signature : RSA/8 <- ????
Signature : RSA/8 <- ????
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 15:26 EDT by Bill Nottingham
Modified: 2014-03-16 23:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 08:25:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-04-30 15:26:12 EDT
Description of problem:

See most any signed F-13 package. bash, for example.

$ rpm -qi bash
Name        : bash                         Relocations: (not relocatable)
Version     : 4.1.2                             Vendor: Fedora Project
Release     : 4.fc13                        Build Date: Wed 31 Mar 2010 08:16:14 AM EDT
Install Date: Wed 14 Apr 2010 02:56:22 PM EDT      Build Host: x86-03.phx2.fedoraproject.org
Group       : System Environment/Shells     Source RPM: bash-4.1.2-4.fc13.src.rpm
Size        : 3143430                          License: GPLv3+
Signature   : RSA/8, Wed 31 Mar 2010 09:20:59 AM EDT, Key ID 7edc6ad6e8e40fde

Version-Release number of selected component (if applicable):

rpm-4.8.0-14.fc13.x86_64

How reproducible:

100%

Steps to Reproduce:
1. run rpm -qa
2. see signature type 'RSA/8'
3. stare in confusion
Comment 1 Miloslav Trmač 2010-04-30 15:33:23 EDT
lib/formats.c:pgpsigFormat () recognizes PGPHASHALGO_{MD5,SHA1}, and prints other hash algorithms as a number - "8" means SHA256.
Comment 2 Panu Matilainen 2010-05-03 03:29:01 EDT
Yup, it's a silly (and ages old) cosmetical issue originating from copy-paste code to convert signature type enums to strings not getting updated.
Comment 3 Panu Matilainen 2010-05-19 08:38:37 EDT
Fixed upstream.
Comment 4 Fedora Update System 2010-06-11 07:49:13 EDT
rpm-4.8.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpm-4.8.1-1.fc13
Comment 5 Fedora Update System 2010-07-07 13:42:32 EDT
rpm-4.8.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.